Get chat analytics for a specific component
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/chat-analytics/component/{componentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/chat-analytics/component/{componentId} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/chat-analytics/component/{componentId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"summary": {
"summary": "<string>",
"totalUsers": 123,
"totalSessions": 123,
"totalMessages": 123,
"topTopics": [
"<string>"
],
"averageMessagesPerUser": 123,
"engagement": {},
"overallAveragePromptingScore": 123,
"overallAverageResponsibilityScore": 123,
"overallPromptingDistribution": {},
"overallResponsibilityDistribution": {}
},
"userStats": [
{
"userId": "<string>",
"totalMessages": 123,
"totalSessions": 123,
"averageMessagesPerSession": 123,
"topTopics": [
"<string>"
],
"lastActive": "2023-11-07T05:31:56Z",
"firstActive": "2023-11-07T05:31:56Z",
"averageSessionDuration": 123,
"email": "<string>",
"name": "<string>",
"groupIds": [
"<string>"
],
"averagePromptingScore": 123,
"averageResponsibilityScore": 123,
"totalGradedMessages": 123,
"promptingDistribution": {},
"responsibilityDistribution": {}
}
],
"generatedAt": "2023-11-07T05:31:56Z"
}Chat Analytics
Get chat analytics for a specific component
GET
/
api
/
v1
/
chat-analytics
/
component
/
{componentId}
Get chat analytics for a specific component
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/chat-analytics/component/{componentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/chat-analytics/component/{componentId} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/chat-analytics/component/{componentId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"summary": {
"summary": "<string>",
"totalUsers": 123,
"totalSessions": 123,
"totalMessages": 123,
"topTopics": [
"<string>"
],
"averageMessagesPerUser": 123,
"engagement": {},
"overallAveragePromptingScore": 123,
"overallAverageResponsibilityScore": 123,
"overallPromptingDistribution": {},
"overallResponsibilityDistribution": {}
},
"userStats": [
{
"userId": "<string>",
"totalMessages": 123,
"totalSessions": 123,
"averageMessagesPerSession": 123,
"topTopics": [
"<string>"
],
"lastActive": "2023-11-07T05:31:56Z",
"firstActive": "2023-11-07T05:31:56Z",
"averageSessionDuration": 123,
"email": "<string>",
"name": "<string>",
"groupIds": [
"<string>"
],
"averagePromptingScore": 123,
"averageResponsibilityScore": 123,
"totalGradedMessages": 123,
"promptingDistribution": {},
"responsibilityDistribution": {}
}
],
"generatedAt": "2023-11-07T05:31:56Z"
}Authorizations
API Key for server-to-server authentication. Resolves to the owning organization.
Path Parameters
Component ID
Query Parameters
Organization ID to filter by
User ID to filter by
Group IDs to filter by
Start date for analysis
End date for analysis
AI model to use for analysis
Example:
"gpt-4o-mini"
Was this page helpful?